#  _________________________________________________________________________
#
#  Coopr: A COmmon Optimization Python Repository
#  Copyright (c) 2010 Sandia Corporation.
#  This software is distributed under the BSD License.
#  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
#  the U.S. Government retains certain rights in this software.
#  For more information, see the Coopr README.txt file.
#  _________________________________________________________________________
#
#	Taken from H&S. Formulated in pyomo by Logan Barnes and Gabe Hackebeil.

from coopr.pyomo import *
model = ConcreteModel()
c = (48.4/50.176)*sin(.25)
d = (48.4/50.176)*cos(.25)
model.N = RangeSet(1,9)
model.x = Var(model.N)
model.x[1] = 0.8
model.x[2] = 0.8
model.x[3] = 0.2
model.x[4] = 0.2
model.x[5] = 1.0454
model.x[6] = 1.0454
model.x[7] = 0.0
model.x[8] = 0.0

def y1(model):
	return sin(model.x[8])
def y2(model):
	return cos(model.x[8])
def y3(model):
	return sin(model.x[9])
def y4(model):
	return cos(model.x[9])
def y5(model):
	return sin(model.x[8] - model.x[9])
def y6(model):
	return cos(model.x[8] - model.x[9])

model.obj = Objective(expr=3000*model.x[1]+1000*model.x[1]**3+2000*model.x[2]+666.667*model.x[2]**3)

model.c1 = Constraint(expr=0.4-model.x[1]+2*c*model.x[5]**2-model.x[5]*model.x[6]\
	*(d*y1(model)+c*y2(model))-model.x[5]*model.x[7]*(d*y3(model)+c*y4(model))==0)
model.c2 = Constraint(expr=0.4-model.x[2]+2*c*model.x[6]**2+model.x[5]*model.x[6]\
	*(d*y1(model)-c*y2(model))+model.x[6]*model.x[7]*(d*y5(model)-c*y6(model))==0)
model.c3 = Constraint(expr=0.8+2*c*model.x[7]**2+model.x[5]*model.x[7]*(d*y3(model)\
	-c*y4(model))-model.x[6]*model.x[7]*(d*y5(model)+c*y6(model))==0)
model.c4 = Constraint(expr=0.2-model.x[3]+2*d*model.x[5]**2+model.x[5]*model.x[6]\
	*(c*y1(model)-d*y2(model))+model.x[5]*model.x[7]*(c*y3(model)-d*y4(model))==0)
model.c5 = Constraint(expr=0.2-model.x[4]+2*d*model.x[6]**2-model.x[5]*model.x[6]\
	*(c*y1(model)+d*y2(model))-model.x[6]*model.x[7]*(c*y5(model)+d*y6(model))==0)
model.c6 = Constraint(expr=-.337+2*d*model.x[7]**2-model.x[5]*model.x[7]\
	*(c*y3(model)+d*y4(model))+model.x[6]*model.x[7]*(c*y5(model)-d*y6(model))==0)
model.c7 = Constraint(expr=model.x[1]>=0)
model.c8 = Constraint(expr=model.x[2]>=0)
model.c9 = Constraint(expr=model.x[5]>=.90909)
model.c10 = Constraint(expr=model.x[6]>=.90909)
model.c11 = Constraint(expr=model.x[7]>=.90909)
model.c12 = Constraint(expr=model.x[5]<=1.0909)
model.c13 = Constraint(expr=model.x[6]<=1.0909)
model.c14 = Constraint(expr=model.x[7]<=1.0909)

